package com.zjrs.zwnw.fxfk.entity;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.fxfk.dto.*;

import java.util.List;

@Mapper
public interface YcywjkMapper {

    //超期办结业务量监控
    public List<YcywCqbjjkOutputDTO> getCqbjjk(@Param("dto") YcywTjInputDTO dto);
    //经办机构超期办结业务量TOP5
    public List<YcywTop5OutputDTO> getTop5(@Param("dto") YcywTjInputDTO dto);
    //在办超期业务统计
    public List<YcywTop5OutputDTO> getZbcqtj(@Param("dto") YcywTjInputDTO dto);
    //在办超期业务监控
    public List<YcywZbcqjkOutputDTO> getZbcqjk(@Param("dto") YcywTjInputDTO dto);
    //预警业务监控
    public List<YcywZbcqjkOutputDTO> getYjywjk(@Param("dto") YcywTjInputDTO dto);


}
